/* #Elementor */

/* ##Typography */
.elementor-widget-heading h1.elementor-heading-title.elementor-size-small {
	 font-size: @font_size($h1_font_size, multiple, round, 0.8)px;
 }
.elementor-widget-heading h1.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h1_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h1.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h1_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h1.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h1_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h1.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h1_font_size, multiple, round, 1.6)px;
}

.elementor-widget-heading h2.elementor-heading-title.elementor-size-small {
	font-size: @font_size($h2_font_size, multiple, round, 0.9)px;
}
.elementor-widget-heading h2.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h2_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h2.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h2_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h2.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h2_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h2.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h2_font_size, multiple, round, 1.6)px;
}

.elementor-widget-heading h3.elementor-heading-title.elementor-size-small {
	font-size: @font_size($h3_font_size, multiple, round, 0.8)px;
}
.elementor-widget-heading h3.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h3_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h3.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h3_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h3.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h3_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h3.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h3_font_size, multiple, round, 1.6)px;
}

.elementor-widget-heading h4.elementor-heading-title.elementor-size-small {
	font-size: @font_size($h4_font_size, multiple, round, 0.8)px;
}
.elementor-widget-heading h4.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h4_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h4.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h4_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h4.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h4_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h4.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h4_font_size, multiple, round, 1.5)px;
}

.elementor-widget-heading h5.elementor-heading-title.elementor-size-small {
	font-size: @font_size($h5_font_size, multiple, round, 0.8)px;
}
.elementor-widget-heading h5.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h5_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h5.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h5_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h5.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h5_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h5.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h5_font_size, multiple, round, 1.6)px;
}

.elementor-widget-heading h6.elementor-heading-title.elementor-size-small {
	font-size: @font_size($h6_font_size, multiple, round, 0.86)px;
}
.elementor-widget-heading h6.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($h6_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading h6.elementor-heading-title.elementor-size-large {
	font-size: @font_size($h5_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading h6.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($h5_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading h6.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($h5_font_size, multiple, round, 1.6)px;
}

.elementor-widget-heading h1.elementor-heading-title {
	line-height: $h1_line_height;
}
.elementor-widget-heading h2.elementor-heading-title {
	line-height: $h2_line_height;
}
.elementor-widget-heading h3.elementor-heading-title {
	line-height: $h3_line_height;
}
.elementor-widget-heading h4.elementor-heading-title {
	line-height: $h4_line_height;
}
.elementor-widget-heading h5.elementor-heading-title {
	line-height: $h5_line_height;
}
.elementor-widget-heading h6.elementor-heading-title {
	line-height: $h6_line_height;
}

.elementor-widget-heading div.elementor-heading-title,
.elementor-widget-heading span.elementor-heading-title,
.elementor-widget-heading p.elementor-heading-title {
	line-height: $body_line_height;
}
.elementor-widget-heading div.elementor-heading-title.elementor-size-small,
.elementor-widget-heading span.elementor-heading-title.elementor-size-small,
.elementor-widget-heading p.elementor-heading-title.elementor-size-small {
	font-size: @font_size($body_font_size, multiple, round, 0.8)px;
}
.elementor-widget-heading div.elementor-heading-title.elementor-size-medium,
.elementor-widget-heading span.elementor-heading-title.elementor-size-medium,
.elementor-widget-heading p.elementor-heading-title.elementor-size-medium {
	font-size: @font_size($body_font_size, multiple, round, 1.1)px;
}
.elementor-widget-heading div.elementor-heading-title.elementor-size-large,
.elementor-widget-heading span.elementor-heading-title.elementor-size-large,
.elementor-widget-heading p.elementor-heading-title.elementor-size-large {
	font-size: @font_size($body_font_size, multiple, round, 1.2)px;
}
.elementor-widget-heading div.elementor-heading-title.elementor-size-xl,
.elementor-widget-heading span.elementor-heading-title.elementor-size-xl,
.elementor-widget-heading p.elementor-heading-title.elementor-size-xl {
	font-size: @font_size($body_font_size, multiple, round, 1.4)px;
}
.elementor-widget-heading div.elementor-heading-title.elementor-size-xxl,
.elementor-widget-heading span.elementor-heading-title.elementor-size-xxl,
.elementor-widget-heading p.elementor-heading-title.elementor-size-xxl {
	font-size: @font_size($body_font_size, multiple, round, 1.6)px;
}

/* ##Accordion */
.elementor-accordion .elementor-tab-title {
	background-color: $grey_color_1;
}

.elementor-accordion .elementor-tab-title:hover,
.elementor-accordion .elementor-tab-title:focus,
.elementor-accordion .elementor-tab-title.elementor-active {
	color: $regular_accent_color_1;
}
.elementor-accordion .elementor-accordion-item {
	border-color: @darken($grey_color_1, 13);
}

/* ##Counter */
.elementor-counter .elementor-counter-number-wrapper {
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	color: $regular_accent_color_1;
}

.elementor-widget-icon + .elementor-widget-counter .elementor-counter-number-wrapper {
	color: $regular_h4_color;
}

.elementor-counter .elementor-counter-title {
	font-style: $accent_font_style;
	font-weight: $accent_font_weight;
	font-family: @font_family( $accent_font_family );
	letter-spacing: $accent_letter_spacing{em};
	text-transform: $accent_text_transform;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	color: $regular_h5_color;
}

/* ## Divider */
.elementor-divider-separator {
	border-top-color: @darken($grey_color_1, 13);
}

/* ## Icon - Icon Box */
.elementor-view-framed .elementor-icon,
.elementor-view-default .elementor-icon {
	color: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
}

.elementor-view-stacked .elementor-icon {
	background-color: $regular_accent_color_1;
}

h5.elementor-icon-box-title {
	font-size: @font_size($h5_font_size, multiple, round, 1.125)px;
}

/* ##Progress Bar */
.elementor-widget-progress .elementor-title,
.elementor-progress-percentage {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-transform: $h6_text_transform;
	color: $regular_h6_color;
}

.elementor-progress-wrapper{
	background-color: $grey_color_1;
}

.elementor-progress-bar{
	background-color: $regular_accent_color_1;
}

/* ##Social icons */
.elementor-social-icons-color-custom .elementor-social-icon {
	background-color: $invert_accent_color_1;
}

.elementor-social-icons-color-custom .elementor-social-icon i {
	color: $regular_link_color;
}

.elementor-social-icons-color-custom .elementor-social-icon:hover i {
	color: $regular_link_hover_color;
}

/* ##Tabs */
.elementor-widget-tabs .elementor-tab-title {
	background-color: $grey_color_1;
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};

	color: $regular_h4_color;
}

.elementor-widget-tabs .elementor-tab-title:hover {
	background-color: @lighten($regular_accent_color_1, 10);
	color: $invert_accent_color_1;
}

.elementor-widget-tabs .elementor-tab-title.elementor-active {
	background-color: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

/* ##Testimonials */
.elementor-testimonial-wrapper .elementor-testimonial-name {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-transform: $h6_text_transform;
	color: $regular_h6_color;
}

.swiper-pagination-bullets .swiper-pagination-bullet:hover,
.swiper-pagination-bullets .swiper-pagination-bullet-active,
.elementor .swiper-pagination-bullets .swiper-pagination-bullet:hover,
.elementor .swiper-pagination-bullets .swiper-pagination-bullet-active{
	background-color: $regular_accent_color_1;
}

/* ##Text Editor */
.elementor-drop-cap {
	color: $regular_accent_color_1;
}

.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{
	background-color: $regular_accent_color_1;
}

.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{
	border-color: $regular_accent_color_1;
	color: $regular_accent_color_1;
}

/* ##Video */
.elementor-widget-video .elementor-custom-embed-play:before {
	background-color: $regular_accent_color_1;
}

/* #Jet Elements */

/* ##Circle Progress */
.elementor-jet-circle-progress .circle-val {
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: @font_size($h4_font_size, multiple, round, 1.8)px;
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	text-transform: $h4_text_transform;
	color: $regular_h4_color;
}

.elementor-jet-circle-progress .circle-counter__title {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-transform: $h6_text_transform;
	color: $regular_link_color;
}

/* ##Posts */
.jet-posts__inner-box {
	background-color: $grey_color_1;
}

.jet-posts .posted-by__content{
	font-style: $meta_font_style;
	font-weight: $meta_font_weight;
	font-size: $meta_font_size{px};
	line-height: $meta_line_height;
	font-family: @font_family( $meta_font_family );
	letter-spacing: $meta_letter_spacing{em};
	text-transform: $meta_text_transform;
}

.jet-posts .posted-by__content,
.jet-posts .posted-by__content a:not(:hover){
	color: $regular_text_color;
}

.jet-posts .invert .posted-by__content,
.jet-posts .invert .posted-by__content a:not(:hover){
	color: $invert_text_color;
}

.jet-posts .post-badge a {
	background-color: @alpha($regular_accent_color_2, 20);
	color: $invert_accent_color_1;
	font-style: $meta_font_style;
	font-weight: $meta_font_weight;
	font-family: @font_family( $meta_font_family );
}

.jet-posts .post-badge a:hover{
	background-color: @alpha($regular_accent_color_2, 70);
}

/* ##Pricing table */
.elementor-jet-pricing-table .pricing-table {
	background-color: $grey_color_1;
}
.elementor-jet-pricing-table .pricing-table__title {
	color: $regular_accent_color_1;
}
.elementor-jet-pricing-table .pricing-feature:not(.item-included) {
	color: @darken($grey_color_1, 26);
}

.elementor-jet-pricing-table .pricing-table-button {
	color: $regular_text_color;
	border-color: $regular_accent_color_1;
}

.elementor-jet-pricing-table .pricing-table-button:hover {
	color: $invert_accent_color_1;
	border-color: $regular_accent_color_1;
	background-color: $regular_accent_color_1;
}

.elementor-jet-pricing-table .featured-table .pricing-table-button {
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_1;
}

.elementor-jet-pricing-table .featured-table .pricing-table-button:hover {
	border-color: @darken($regular_accent_color_1, 10);
	background-color: @darken($regular_accent_color_1, 10);
}

/* ##Coundown timer */
.jet-countdown-timer .jet-countdown-timer__item-label {
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	text-transform: $h5_text_transform;
	color: $regular_h5_color;
}

.jet-countdown-timer .jet-countdown-timer__item-value {
	font-style: $h2_font_style;
	font-weight: $h2_font_weight;
	font-family: @font_family( $h2_font_family );
	color: $regular_h2_color;
}

/* ##Advanced Carousel */
.jet-slick-dots span {
	background-color: @darken($grey_color_1, 19);
}

.jet-slick-dots span:hover,
.jet-slick-dots .slick-active span{
	background-color: $regular_accent_color_1;
}